import type { BlinkloaderConfig } from './types/blinkloader.types';
export declare class Blinkloader {
    private config;
    private imgproxyService;
    private pendingImages;
    private isProcessing;
    constructor(config: BlinkloaderConfig);
    optimize(config: BlinkloaderConfig): void;
    private validateAndApplyConfig;
    private initializeEventListeners;
    private updateImages;
    private queryImages;
    private startImageProcessing;
    private processImages;
    private checkAndAddImage;
    private parseIntAttribute;
    private parseFormatAttribute;
    private parseResizeAttribute;
    private parseGravityAttribute;
    private debounce;
}
//# sourceMappingURL=blinkloader.d.ts.map